Index: BOOK/filesize.sh
===================================================================
--- BOOK/filesize.sh	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
+++ BOOK/filesize.sh	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+FILENAME=$1
+
+if [ "${FILENAME}" = ""  ]; then
+  echo "To Calculate the proper file size use the following command."
+  echo "$0 filename"
+  exit 255
+else
+  FILESIZE=$(ls -l ${FILENAME} | cut -f5 -d' ')
+  ((size=${FILESIZE}/1024))
+  if [ "${size}" = "0" ]; then
+    size=$(echo .$(echo ${FILESIZE} | cut -b1))
+  fi
+  FILEMD5SUM=$(md5sum ${FILENAME})
+
+  echo "${size} KB"
+  echo "${FILEMD5SUM}"
+fi
Index: BOOK/final-system/common/busybox.xml
===================================================================
--- BOOK/final-system/common/busybox.xml	(revision ea546c8f857e12d4ce2e3be310956d5dbcfef723)
+++ BOOK/final-system/common/busybox.xml	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -56,5 +56,5 @@
 
 <screen os="i"><userinput>make ARCH=${CLFS_ARCH} CC="${CC} ${BUILD}" CROSS_COMPILE="${CLFS_TARGET}-" \
-  CONFIG_PREFIX=${IMAGE_DIR} install</userinput></screen>
+  CONFIG_PREFIX=${CLFS} install</userinput></screen>
 
     <para os="j">If your going to build your kernel with modules, you will need to make
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision ea546c8f857e12d4ce2e3be310956d5dbcfef723)
+++ BOOK/general.ent	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -3,5 +3,5 @@
 <!ENTITY month "02"> <!-- Use two digits -->
 <!ENTITY month_name "December">
-<!ENTITY day "16"> <!-- Use two digits -->
+<!ENTITY day "20"> <!-- Use two digits -->
 <!ENTITY year "2009"> <!-- Use four digits -->
 
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision ea546c8f857e12d4ce2e3be310956d5dbcfef723)
+++ BOOK/materials/common/patches.xml	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -19,4 +19,5 @@
   <variablelist role="materials">
 
+<!--
     <varlistentry>
       <term>Binutils Branch Update Patch - <token>&binutils-branch_update-patch-size;</token>:</term>
@@ -27,4 +28,5 @@
       </listitem>
     </varlistentry>
+-->
 
     <varlistentry>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision ea546c8f857e12d4ce2e3be310956d5dbcfef723)
+++ BOOK/packages.ent	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -6,5 +6,5 @@
 
 <!ENTITY binutils-version "2.19.1">
-<!ENTITY binutils-size "15,868 KB">
+<!ENTITY binutils-size "15,865 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
 <!ENTITY binutils-md5 "09a8c5821a2dfdbb20665bc0bd680791">
@@ -12,5 +12,5 @@
 
 <!ENTITY busybox-version "1.13.2">
-<!ENTITY busybox-size "2,000 KB">
+<!ENTITY busybox-size "1,998 KB">
 <!ENTITY busybox-url "http://busybox.net/downloads/busybox-&busybox-version;.tar.bz2">
 <!ENTITY busybox-md5 "9e2a604d18bef219a5a6bf3acf78b9e1">
@@ -18,5 +18,5 @@
 
 <!ENTITY busybox-config-version "&busybox-version;">
-<!ENTITY busybox-config-size "24 KB">
+<!ENTITY busybox-config-size "20 KB">
 <!ENTITY busybox-config-url "&svn-clfs-config;busybox-&busybox-config-version;.config">
 <!ENTITY busybox-config-md5 "9b32b986975ce5b4e9d73a1dce7074d8">
@@ -24,5 +24,5 @@
 
 <!ENTITY clfs-bootscripts-version "1.0-pre4">
-<!ENTITY clfs-bootscripts-size "4 KB">
+<!ENTITY clfs-bootscripts-size "2 KB">
 <!ENTITY clfs-bootscripts-url "&packages-root;clfs-embedded-bootscripts-&clfs-bootscripts-version;.tar.bz2">
 <!ENTITY clfs-bootscripts-md5 "b276c989058a7c2a5ec1ecdf6e08363e">
@@ -30,5 +30,5 @@
 
 <!ENTITY e2fsprogs-version "1.41.4">
-<!ENTITY e2fsprogs-size "4,288 KB">
+<!ENTITY e2fsprogs-size "4,286 KB">
 <!ENTITY e2fsprogs-url "&sourceforge;e2fsprogs/e2fsprogs-&e2fsprogs-version;.tar.gz">
 <!ENTITY e2fsprogs-md5 "59033388df36987d2b9c9bbf7e19bd57">
@@ -36,5 +36,5 @@
 
 <!ENTITY gcc-version "4.3.3">
-<!ENTITY gcc-size "57,984 KB">
+<!ENTITY gcc-size "57,978 KB">
 <!ENTITY gcc-url "ftp://gcc.gnu.org/pub/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
 <!ENTITY gcc-md5 "cc3c5565fdb9ab87a05ddb106ba0bd1f ">
@@ -42,5 +42,5 @@
 
 <!ENTITY gmp-version "4.2.4">
-<!ENTITY gmp-size "1,676 KB">
+<!ENTITY gmp-size "1,670 KB">
 <!ENTITY gmp-url "&gnu;gmp/gmp-&gmp-version;.tar.bz2">
 <!ENTITY gmp-md5 "fc1e3b3a2a5038d4d74138d0b9cf8dbe">
@@ -48,5 +48,5 @@
 
 <!ENTITY iana-etc-version "2.30">
-<!ENTITY iana-etc-size "208 KB">
+<!ENTITY iana-etc-size "200 KB">
 <!ENTITY iana-etc-url "http://sethwklein.net/iana-etc-&iana-etc-version;.tar.bz2">
 <!ENTITY iana-etc-md5 "3ba3afb1d1b261383d247f46cb135ee8">
@@ -55,12 +55,12 @@
 <!ENTITY linux-dl-version "2.6">
 
-<!ENTITY linux-version "2.6.28.5">
+<!ENTITY linux-version "2.6.28.6">
 <!ENTITY linux-size "51,476 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
-<!ENTITY linux-md5 "677e020f785f57ac48576eacb565a489">
+<!ENTITY linux-md5 "6bb4f553551033f29d55d78b49b31733">
 <!ENTITY linux-home "http://www.kernel.org">
 
 <!ENTITY mpfr-version "2.4.0">
-<!ENTITY mpfr-size "1,040 KB">
+<!ENTITY mpfr-size "1,037 KB">
 <!ENTITY mpfr-dlid "16015">
 <!ENTITY mpfr-url "http://gforge.inria.fr/frs/download.php/&mpfr-dlid;/mpfr-&mpfr-version;.tar.bz2">
@@ -69,5 +69,5 @@
 
 <!ENTITY uclibc-version "0.9.30">
-<!ENTITY uclibc-size "2,240 KB">
+<!ENTITY uclibc-size "2,238 KB">
 <!ENTITY uclibc-url "http://www.uclibc.org/downloads/uClibc-&uclibc-version;.tar.bz2">
 <!ENTITY uclibc-md5 "e5766e2566e0297adebebbcc0aba1f2d">
@@ -75,5 +75,5 @@
 
 <!ENTITY uclibc-config-version "&uclibc-version;">
-<!ENTITY uclibc-config-size "8 KB">
+<!ENTITY uclibc-config-size "5 KB">
 <!ENTITY uclibc-config-url "&svn-clfs-config;uClibc-&uclibc-config-version;.config">
 <!ENTITY uclibc-config-md5 "ed62fb231034de4f6edea2f6da488613">
@@ -81,8 +81,8 @@
 
 <!ENTITY zlib-version "1.2.3">
-<!ENTITY zlib-size "485 KB">
+<!ENTITY zlib-size "484 KB">
 <!ENTITY zlib-url "http://www.zlib.net/zlib-&zlib-version;.tar.gz">
 <!ENTITY zlib-md5 "debc62758716a169df9f62e6ab2bc634">
-<!ENTITY zlib-home "http://www.zlib.net/">
+<!ENTITY zlib-home "http://www.zlib.net">
 
 <!-- Beyond CLFS packages -->
@@ -103,5 +103,5 @@
 
 <!ENTITY mtdutils-version "1.2.0">
-<!ENTITY mtdutils-size "272 KB">
+<!ENTITY mtdutils-size "270 KB">
 <!ENTITY mtdutils-url "ftp://ftp.infradead.org/pub/mtd-utils/mtd-utils-&mtdutils-version;.tar.bz2">
 <!ENTITY mtdutils-md5 "ca41f1fbaa056e8b8d71e8d52c0b1bad">
@@ -109,17 +109,17 @@
 
 <!ENTITY trx-version "svn">
-<!ENTITY trx-size "16 KB">
-<!ENTITY trx-url "&svn-clfs-software;/trx/trx.c">
+<!ENTITY trx-size "13 KB">
+<!ENTITY trx-url "&svn-clfs-software;trx/trx.c">
 <!ENTITY trx-md5 "cb0141dd59a90d34a72693139e31e49a">
 <!ENTITY trx-home "http://www.openwrt.org/">
 
 <!ENTITY addpattern-version "svn">
-<!ENTITY addpattern-size "8 KB">
-<!ENTITY addpattern-url "&svn-clfs-software;/addpattern/addpattern.c">
+<!ENTITY addpattern-size "5 KB">
+<!ENTITY addpattern-url "&svn-clfs-software;addpattern/addpattern.c">
 <!ENTITY addpattern-md5 "ff13bf18d640c3a2a75032a34bf5858b">
 <!ENTITY addpattern-home "http://www.openwrt.org/">
 
 <!ENTITY fwcutter-version "009">
-<!ENTITY fwcutter-size "4 KB">
+<!ENTITY fwcutter-size "3 KB">
 <!ENTITY fwcutter-url "http://prdownload.berlios.de/bcm43xx/b43-fwcutter-&fwcutter-version;.tar.bz">
 <!ENTITY fwcutter-md5 "1541a3f16feacf0c207252169bb3904f">
@@ -135,6 +135,6 @@
 
 <!ENTITY colo-version "1.22">
-<!ENTITY colo-size "253 KB">
+<!ENTITY colo-size "251 KB">
 <!ENTITY colo-url "http://www.colonel-panic.org/cobalt-mips/colo/colo-&colo-version;.tar.gz">
 <!ENTITY colo-md5 "52c16ad31f3b88f710f0fdb5abed0457">
-<!ENTITY colo-home "http://www.linux-mips.org/wiki/CoLo">
+<!ENTITY colo-home "http://www.colonel-panic.org/cobalt-mips">
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision ea546c8f857e12d4ce2e3be310956d5dbcfef723)
+++ BOOK/patches.ent	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -5,15 +5,17 @@
 <!-- Start of Common Patches -->
 
+<!--
 <!ENTITY binutils-branch_update-patch "binutils-&binutils-version;-branch_update-4.patch">
 <!ENTITY binutils-branch_update-patch-md5 "4f587bb8161b08e60b7e7bc98c56ff7d">
 <!ENTITY binutils-branch_update-patch-size "120 KB">
+-->
 
 <!ENTITY binutils-posix-patch "binutils-&binutils-version;-posix-1.patch">
-<!ENTITY binutils-posix-patch-md5 "f2020cb369c2facbfd8987fa2263f31f">
-<!ENTITY binutils-posix-patch-size "4 KB">
+<!ENTITY binutils-posix-patch-md5 "beb4af55c8de949235758e6436e689e7">
+<!ENTITY binutils-posix-patch-size "3 KB">
 
 <!ENTITY busybox-branch_update-patch "busybox-&busybox-version;-branch_update-3.patch">
 <!ENTITY busybox-branch_update-patch-md5 "0c696b69d8f4d6eb20c9fc2af2236eee">
-<!ENTITY busybox-branch_update-patch-size "12 KB">
+<!ENTITY busybox-branch_update-patch-size "11 KB">
 
 <!--
@@ -25,9 +27,9 @@
 <!ENTITY gcc-posix-patch "gcc-&gcc-version;-posix-1.patch">
 <!ENTITY gcc-posix-patch-md5 "ccc0d5f959234bf4fed2b6fa338d6117">
-<!ENTITY gcc-posix-patch-size "16 KB">
+<!ENTITY gcc-posix-patch-size "13 KB">
 
 <!ENTITY gmp-branch_update-patch "gmp-&gmp-version;-branch_update-1.patch">
 <!ENTITY gmp-branch_update-patch-md5 "31606a19116f646a2d891d639fbfc339">
-<!ENTITY gmp-branch_update-patch-size "12 KB">
+<!ENTITY gmp-branch_update-patch-size "10 KB">
 
 <!--
@@ -39,5 +41,5 @@
 <!ENTITY uclibc-branch_update-patch "uClibc-&uclibc-version;-branch_update-3.patch">
 <!ENTITY uclibc-branch_update-patch-md5 "7987da42d5ad2a3cbcad571d780d81c6">
-<!ENTITY uclibc-branch_update-patch-size "96 KB">
+<!ENTITY uclibc-branch_update-patch-size "93 KB">
 
 <!-- Beyond patches -->
@@ -45,5 +47,5 @@
 <!ENTITY iptables-fixes-patch "iptables-&iptables-version;-fixes-1.patch">
 <!ENTITY iptables-fixes-patch-md5 "5a8bc894706019ea4f42e506633a49bf">
-<!ENTITY iptables-fixes-patch-size "8 KB">
+<!ENTITY iptables-fixes-patch-size "5 KB">
 
 <!-- MIPS Patches -->
@@ -77,8 +79,8 @@
 <!ENTITY colo-make-patch "colo-&colo-version;-make_fix-1.patch">
 <!ENTITY colo-make-patch-md5 "b89575a0e385b5366b19a6b5f176d49b">
-<!ENTITY colo-make-patch-size "2.7 KB">
+<!ENTITY colo-make-patch-size "2 KB">
 
 <!ENTITY colo-relocation-patch "colo-&colo-version;-relocation_fix-1.patch">
 <!ENTITY colo-relocation-patch-md5 "e0607ee1071f2f805ffa1ef1c5b1a766">
-<!ENTITY colo-relocation-patch-size "4 KB">
+<!ENTITY colo-relocation-patch-size ".7 KB">
 
Index: patches/colo-1.22-make_fix-1.patch
===================================================================
--- patches/colo-1.22-make_fix-1.patch	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
+++ patches/colo-1.22-make_fix-1.patch	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -0,0 +1,57 @@
+Submitted By: Joe Ciccone <joeciccone@crazyeyesoft.com>
+Date: 2005-11-23
+Initial Package Version: 1.19
+Upstream Status: Sent
+Origin: Joe Ciccone <joeciccone@crazyeyesoft.com
+Description: Adds flags to the stage1, stage2, and chain Makefiles
+             forcing them to build as 32bit.
+
+	     2-2-06 Updated for Colo 1.21 
+diff -Naur colo-1.21.orig/chain/Makefile colo-1.21/chain/Makefile
+--- colo-1.21.orig/chain/Makefile	2006-01-17 23:03:58.000000000 +0000
++++ colo-1.21/chain/Makefile	2006-02-02 15:43:32.000000000 +0000
+@@ -18,9 +18,9 @@
+ 
+ DEPS=$(OBJS:.o=.d)
+ 
+-LDFLAGS= -nostdlib -Wl,-T,$(TARG).lnk,-Map,$(TARG).map
+-CFLAGS= -Werror -Wall -Wstrict-prototypes -fomit-frame-pointer -O2 -fno-strict-aliasing $(CFLAGS_CPU) $(CFLAGS_COLO)
+-CPPFLAGS= -MD -nostdinc -Iinclude -I../include -D_DEBUG $(CPPFLAGS_GCC)
++LDFLAGS= -mabi=32 -nostdlib -Wl,-T,$(TARG).lnk,-Map,$(TARG).map
++CFLAGS= -mabi=32 -Werror -Wall -Wstrict-prototypes -fomit-frame-pointer -O2 -fno-strict-aliasing $(CFLAGS_CPU) $(CFLAGS_COLO)
++CPPFLAGS= -mabi=32 -MD -nostdinc -Iinclude -I../include -D_DEBUG $(CPPFLAGS_GCC)
+ 
+ all:
+ 	$(MAKE) -C .. binary
+diff -Naur colo-1.21.orig/stage1/Makefile colo-1.21/stage1/Makefile
+--- colo-1.21.orig/stage1/Makefile	2006-01-17 23:03:58.000000000 +0000
++++ colo-1.21/stage1/Makefile	2006-02-02 15:44:18.000000000 +0000
+@@ -21,9 +21,9 @@
+ 
+ DEPS=$(OBJS:.o=.d)
+ 
+-LDFLAGS= -nostdlib -Wl,-T,$(TARG).lnk,-Map,$(TARG).map
+-CFLAGS= -Werror -Wall -Wstrict-prototypes -fomit-frame-pointer -O2 -fno-strict-aliasing $(CFLAGS_CPU) $(CFLAGS_COLO)
+-CPPFLAGS= -MD -nostdinc -Iinclude -I../include -D_DEBUG $(CPPFLAGS_GCC)
++LDFLAGS= -mabi=32 -nostdlib -Wl,-T,$(TARG).lnk,-Map,$(TARG).map
++CFLAGS= -mabi=32 -Werror -Wall -Wstrict-prototypes -fomit-frame-pointer -O2 -fno-strict-aliasing $(CFLAGS_CPU) $(CFLAGS_COLO)
++CPPFLAGS= -mabi=32 -MD -nostdinc -Iinclude -I../include -D_DEBUG $(CPPFLAGS_GCC)
+ 
+ all:
+ 	$(MAKE) -C .. binary
+diff -Naur colo-1.21.orig/stage2/Makefile colo-1.21/stage2/Makefile
+--- colo-1.21.orig/stage2/Makefile	2006-01-17 23:03:58.000000000 +0000
++++ colo-1.21/stage2/Makefile	2006-02-02 15:44:02.000000000 +0000
+@@ -54,9 +54,9 @@
+ 
+ DEPS=$(OBJS:.o=.d)
+ 
+-LDFLAGS= -nostdlib -Wl,-T,$(TARG).lnk,-Map,$(TARG).map,--emit-relocs
+-CFLAGS= -Werror -Wall -Wstrict-prototypes -fomit-frame-pointer -O2 -fno-strict-aliasing $(CFLAGS_CPU) $(CFLAGS_COLO)
+-CPPFLAGS= -MD -nostdinc -Iinclude -I../include -D_DEBUG $(CPPFLAGS_GCC)
++LDFLAGS= -mabi=32 -nostdlib -Wl,-T,$(TARG).lnk,-Map,$(TARG).map,--emit-relocs
++CFLAGS= -mabi=32 -Werror -Wall -Wstrict-prototypes -fomit-frame-pointer -O2 -fno-strict-aliasing $(CFLAGS_CPU) $(CFLAGS_COLO)
++CPPFLAGS= -mabi=32 -MD -nostdinc -Iinclude -I../include -D_DEBUG $(CPPFLAGS_GCC)
+ 
+ LOADADDR= $(shell $(CROSS_COMPILE)readelf -l $(TARG) | awk '$$1 ~ /^LOAD$$/ { print $$3 }')
+ 
Index: patches/colo-1.22-relocation_fix-1.patch
===================================================================
--- patches/colo-1.22-relocation_fix-1.patch	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
+++ patches/colo-1.22-relocation_fix-1.patch	(revision a4733fb18c6cb45b842f405ba61a361e220279d7)
@@ -0,0 +1,21 @@
+Submitted By: Joe Ciccone <jciccone@linuxfromscratch.org>
+Date: 2006-06-11
+Initial Package Version: 1.21
+Upstream Status: Unknown
+Origin: Joe Ciccone
+Description: Fixes relocation errors when linking.
+
+diff -Naur colo-1.21.orig/stage1/include/lib.h colo-1.21/stage1/include/lib.h
+--- colo-1.21.orig/stage1/include/lib.h	2006-01-17 18:03:58.000000000 -0500
++++ colo-1.21/stage1/include/lib.h	2006-07-11 01:01:29.000000000 -0400
+@@ -47,8 +47,8 @@
+ 
+ /* fast.c */
+ 
+-extern void * __attribute__((section(".data"))) _memcpy_w(void *, const void *, size_t);
+-extern void * __attribute__((section(".data"))) _memset_w(void *, int, size_t);
++extern void * _memcpy_w(void *, const void *, size_t);
++extern void * _memset_w(void *, int, size_t);
+ 
+ #endif
+ 
